<ngx-loading [show]="loading" [config]="{
    backdropBackgroundColour: 'rgba(0, 0, 0, 0.3)',
    primaryColour: '#ffffff', secondaryColour: '#ffffff', tertiaryColour: '#ffffff', fullScreenBackdrop: true }"></ngx-loading>
<div class="card">
    <div class="card-header">
        <h5 class="card-header-text">Detail Lembar Kendali Obat</h5>
        <button type="button" [routerLink]="['/listlembarkendaliobatdetail']" class="btn btn-sm btn-danger waves-effect waves-light f-right">
            <i class="fa fa-arrow-left"> Kembali</i>
        </button>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row">

            <div class="col-md-12 col-xl-12">
                <div class="row">
                    <label class="col-form-label col-md-4 col-xl-3">No. Registrasi</label>
                    <label class="col-form-label col-md-8 col-xl-3">: {{data.noReg}}</label>
                </div>
            </div>
            <div class="col-md-12 col-xl-12 form-group">
                <div class="row">
                    <label class="col-form-label col-md-4 col-xl-3">No Rekam Medis</label>
                    <label class="col-form-label col-md-8 col-xl-3">: {{data.kdRm}}</label>
                </div>
                <div class="row">
                    <label class="col-form-label col-md-4 col-xl-3">Nama Lengkap</label>
                    <label class="col-form-label col-md-8 col-xl-3">: {{data.nama}}</label>
                </div>
                <div class="row">
                    <label class="col-form-label col-md-4 col-xl-3">Kelas Perawatan</label>
                    <label class="col-form-label col-md-8 col-xl-3">: {{data.kelasPerawatan}} </label>
                </div>
                <div class="row">
                    <label class="col-form-label col-md-4 col-xl-3">Kamar Perawatan</label>
                    <label class="col-form-label col-md-8 col-xl-3">: {{data.kamarPerawatan}} </label>
                </div>
                <div class="row">
                    <label class="col-form-label col-md-4 col-xl-3">Nama Dokter</label>
                    <label class="col-form-label col-md-8 col-xl-3">: {{data.nmDokter}} </label>
                </div>
                <div class="row">
                    <label class="col-form-label col-md-4 col-xl-3">Konsul Dokter</label>
                    <label class="col-form-label col-md-8 col-xl-3">: {{data.konsulDokter}} </label>
                </div>

                <div class="border">
                    <br>
                    <div class="col-md-12 col-xl-12 text-left">
                        <div class="col-md-12 col-xl-12">
                            <h5>
                                Kendali Obat
                            </h5>
                            <br>
                            <br>
                            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                                <table dt-options="dtOptions" class="table table-striped table-bordered table-responsive full-data-table text-center pull-center"
                                    [mfData]="dataObat" #mf="mfDataTable" [mfRowsOnPage]="rowsOnPageInfus" [(mfSortBy)]="sortByInfus"
                                    [(mfSortOrder)]="sortOrderInfus">
                                    <thead>
                                        <tr>
                                            <th width="20%">
                                                <mfDefaultSorter by="tanggal">Tanggal</mfDefaultSorter>
                                            </th>
                                            <th width="20%">
                                                    <mfDefaultSorter by="ruangan">Ruangan</mfDefaultSorter>
                                                </th>
                                            <th width="20%">
                                                <mfDefaultSorter by="namaObat">Nama Obat</mfDefaultSorter>
                                            </th>
                                            <th width="20%">
                                                <mfDefaultSorter by="jumlah">Jumlah</mfDefaultSorter>
                                            </th>
                                            <th width="20%">
                                                <mfDefaultSorter by="harga">Harga</mfDefaultSorter>
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody *ngIf="dataObat!=null && dataObat!=''">
                                        <tr *ngFor="let item of mf.data">
                                            <td>{{item.tanggal | date: 'dd-MM-yyyy'}}</td>
                                            <td>{{item.ruangan}}</td>
                                            <td>{{item.namaObat}}</td>
                                            <td>{{item.jumlah}}</td>
                                            <td>{{item.harga}}</td>
                                        </tr>
                                    </tbody>
                                    <tfoot>
                                        <tr *ngIf="dataObat!=null">
                                            <td colspan="10">
                                                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
                                            </td>
                                        </tr>
                                        <tr *ngIf="dataObat==null">
                                            <td colspan="10" class="text-center">Memuat data...</td>
                                        </tr>
                                        <tr *ngIf="dataObat==''">
                                            <td colspan="10" class="text-center">Data kosong</td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>